Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class MaxrefType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MaxrefType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:47:44+02:00",
               comments="JAXB RI v2.2.11")
    public class MaxrefType

extends Object
implements Serializable

to specify the maximal range of the content

Java class for maxrefType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="maxrefType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MaxrefType()`

Method Summary
`BigDecimal` | `getDecimal()` Gets the value of the decimal property.
`TextType` | `getText()` Gets the value of the text property.
`void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
`void` | `setText(TextType value)` Sets the value of the text property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxrefType

    public MaxrefType()

Method Detail

### getText

    public TextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `TextType`

### setText

    public void setText(TextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `TextType`

### getDecimal

    public BigDecimal getDecimal()

  Gets the value of the decimal property.

  Returns:
    possible object is `BigDecimal`

### setDecimal

    public void setDecimal(BigDecimal value)

  Sets the value of the decimal property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.